%global momorel 2

Name:           augeas
Version:        0.7.2
Release:        %{momorel}m%{?dist}
Summary:        A library for changing configuration files

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://augeas.net/
Source0:        http://augeas.net/download/augeas-%{version}.tar.gz
NoSource:       0
Patch0:         augeas-0.7.2-01-0c43ca0f.patch
Patch1:         augeas-0.7.2-02-6c713a08.patch
Patch2:         augeas-0.7.2-03-984ff1b8.patch
Patch3:         augeas-0.7.2-04-218003a8.patch
Patch4:         augeas-0.7.2-05-21d39d66.patch
Patch5:         augeas-0.7.2-06-11b85805.patch
Patch6:         augeas-0.7.2-07-72c636de.patch
Patch7:         augeas-0.7.2-08-0695bdd0.patch
Patch8:         augeas-0.7.2-09-5ee81630.patch
Patch9:         augeas-0.7.2-10-7ac49e29.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  readline-devel
BuildRequires:  libselinux-devel
Requires:       %{name}-libs = %{version}-%{release}

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description    libs
The libraries for %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/augtool
%{_bindir}/augparse
%{_bindir}/fadot
%doc %{_mandir}/man1/*
%{_datadir}/vim/vimfiles/syntax/augeas.vim
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim

%files libs
%defattr(-,root,root,-)
%{_datadir}/augeas/lenses/dist
%{_libdir}/*.so.*
%doc AUTHORS COPYING NEWS

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/augeas.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-2m)
- full rebuild for mo7 release

* Sun Jul 18 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.2-1m)
- update to 0.7.2
- import upstream patches (Patch0-9)

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-2m)
- rebuild against readline6

* Sun Dec 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-1m)
- update to 0.5.0

* Sun Jan 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-3m)
- release %%{_datadir}/augeas and %%{_datadir}/augeas/lenses provided by filesystem

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.1-2m)
- rebuild against rpm-4.6

* Tue May 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.1-1m)
- import from Fedora

* Fri May 16 2008 David Lutterkort <dlutter@redhat.com> - 0.1.1-1
- New version

* Fri May  2 2008 David Lutterkort <dlutter@redhat.com> - 0.1.0-2
- Fixes according to Fedora review

* Thu May  1 2008 David Lutterkort <dlutter@redhat.com> - 0.1.0-1
- New version

* Mon Feb 25 2008 David Lutterkort <dlutter@redhat.com> - 0.0.4-1
- Initial specfile
